<template>
  <div>
    <multiselect :name="'Способ получения'" v-model="selectedCard" :options="accounts" :show-labels="false" :vValidateRules = "'requiredSelect'">
      <template slot="singleLabel" slot-scope="props">
        <span class="account" :class="[props.option.type === 5 ? 'select-contact-icon' : '']" :style="`background-image: url(${props.option.iconSmall})`">
          {{ props.option.type === 1 ? props.option.description : props.option.name || props.option.description }}
        </span>
      </template>
      <template slot="option" slot-scope="props">
        <span class="account" :class="[props.option.type === 5 ? 'select-contact-icon' : '']" :style="`background-image: url(${props.option.iconSmall})`">
          {{ props.option.type === 1 ? props.option.description : props.option.name || props.option.description }}
        </span>
      </template>
      <template slot="afterList">
        <li class="multiselect__element">
          <span @click="$modal.show('new-card')" class="multiselect__option account-add card-add">
            <span>Добавить банковскую карту</span>
          </span>
        </li>
        <li class="multiselect__element" v-if="$loanType !== 8">
          <span @click="$modal.show('new-wallet')" class="multiselect__option account-add yandex-add">
              <span>Добавить Yandex кошелек</span>
          </span>
        </li>
      </template>
    </multiselect>
    <new-card @add-card="addAccount"></new-card>
    <new-wallet></new-wallet>
  </div>
</template>

<script>
  import Multiselect from '@/UI/Multiselect'
  import NewCard from '@/components/Modals/NewCard'
  import NewWallet from '@/components/Modals/NewWallet'

  export default {
    name: 'AccountsDropBox',
    components: {NewWallet, NewCard},
    data () {
      return {
        selectedItem: null
      }
    },
    component: {
      Multiselect
    },
    computed: {
      selectedCard: {
        get () {
          return this.selectedItem || this.accounts.find(account => account.main)
        },
        set (account) {
          this.selectedItem = account
        }
      },
      accounts () {
        if (this.$loanType === 1) {
          return this.$accounts
        } else {
          return this.$accounts.filter((acc) => {
            return acc.type === 1
          })
        }
      }
    },
    watch: {
      selectedCard (account) {
        this.$emit('input', account)
      }
    },
    methods: {
      addAccount () {

      }
    }
  }
</script>

<style lang="scss" scoped>
  .multiselect__element {
    width: 100%;
    min-height: 54px;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    .multiselect__option {
      width: 100%;
    }
  }

  .select-contact-icon {
    background-size: 24px 24px;
  }
  .account {
    display: inline-block;
    background-position: 0 3px;
    line-height: 30px;
    vertical-align: center;
    padding-left: 40px;
    background-repeat: no-repeat;
  }

  .card-add {
    background-image: url(/lk/static/img/accounts/card-add.png);
  }

  .yandex-add {
    background-image: url(/lk/static/img/accounts/yandex-add.png);
  }

  .account-add {
    padding-left: 60px;
    background-position: 25px;
    background-repeat: no-repeat;
    &:hover {
      background-color: cornflowerblue;
    }
  }
</style>
